# Meter Banner Webhook

**Meter\_Banner.Close:** This event is triggered when the users press the 'X' or 'Close' button on the meter banner.

```json
{
  "entity": "event",
  "user_id": "65e01bd8d03692125f1f353d",
  "event": "meter_banner.close",
  "contains": [
    "meteringBanner",
    "user"
  ],
  "payload": {
    "meteringBanner": {
      "_id": "65704832df3fbf05635ec357",
      "createdAt": "2023-12-06T10:08:50.649Z",
      "updatedAt": "2023-12-06T10:08:50.911Z",
      "deviceType": "DESKTOP",
      "name": "CustomURL"
    },
    "user": {
      "phoneNumber": "9892898898",
      "userId": "65e01bd8d03692125f1f353d",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "new delhi (okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "9892898898"
    }
  },
  "client_info": {
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop",
    "deviceModel": "Macintosh"
  },
  "created_at": 1709186126
}

```

**Meter\_Banner.Click: This event is triggered when the users click on the button in the meter banner.**

```json
{
  "entity": "event",
  "user_id": "65e01bd8d03692125f1f353d",
  "event": "meter_banner.click",
  "contains": [
    "action",
    "meteringBanner",
    "user"
  ],
  "payload": {
    "action": {
      "clickAction": "SUBS",
      "pageUrl": "https://dashboards.conscent.art/Meter?clientId=65015ff10070846629fb981e&anonId=4a92915b-a0ee-413d-9526-cfdb064caf7b&paywallId=65704832df3fbf05635ec357&userSourceData=DIRECT&clientContentId=Client-Story-Id-2&hide=000&pageUrl=https%253A%252F%252Fcsc-mock.netlify.app%252F65015ff10070846629fb981e%252FClient-Story-Id-2&sessionId=65e01bdad03692125f1f3540&showLogin=true&bannerMeter=2/2",
      "contentId": "Client-Story-Id-2"
    },
    "meteringBanner": {
      "_id": "65704832df3fbf05635ec357",
      "createdAt": "2023-12-06T10:08:50.649Z",
      "updatedAt": "2023-12-06T10:08:50.911Z",
      "deviceType": "DESKTOP",
      "name": "CustomURL"
    },
    "user": {
      "phoneNumber": "9892898898",
      "userId": "65e01bd8d03692125f1f353d",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "new delhi (okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "9892898898"
    }
  },
  "client_info": {
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop",
    "deviceModel": "Macintosh"
  },
  "created_at": 1709186212
}

```

**Meter\_Banner.view: This event is triggered when the users view the meter banner.**

```json
{
  "entity": "event",
  "user_id": "65e01bd8d03692125f1f353d",
  "event": "meter_banner.view",
  "contains": [
    "action",
    "meteringBanner",
    "user"
  ],
  "payload": {
    "action": {
      "pageUrl": "https://dashboards.conscent.art/Meter?clientId=65015ff10070846629fb981e&anonId=4a92915b-a0ee-413d-9526-cfdb064caf7b&paywallId=65704832df3fbf05635ec357&userSourceData=DIRECT&clientContentId=Client-Story-Id-1&hide=000&pageUrl=https%253A%252F%252Fcsc-mock.netlify.app%252F65015ff10070846629fb981e%252FClient-Story-Id-1&sessionId=65e01bdad03692125f1f3540&showLogin=true&bannerMeter=1/1",
      "contentId": "Client-Story-Id-1"
    },
    "meteringBanner": {
      "_id": "65704832df3fbf05635ec357",
      "createdAt": "2023-12-06T10:08:50.649Z",
      "updatedAt": "2023-12-06T10:08:50.911Z",
      "deviceType": "DESKTOP",
      "name": "CustomURL"
    },
    "user": {
      "phoneNumber": "9892898898",
      "userId": "65e01bd8d03692125f1f353d",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "new delhi (okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "9892898898"
    }
  },
  "client_info": {
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop",
    "deviceModel": "Macintosh"
  },
  "created_at": 1709186078
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/new-webhooks/meter-banner-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
